[arch-commits] Commit in catalyst-utils/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 18 04:29:56 EDT 2008


    Date: Saturday, October 18, 2008 @ 04:29:55
  Author: jgc
Revision: 15760

upgpkg: catalyst-utils 8.11-0.1

Modified:
  catalyst-utils/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-18 08:23:07 UTC (rev 15759)
+++ PKGBUILD	2008-10-18 08:29:55 UTC (rev 15760)
@@ -50,7 +50,7 @@
   if [ "${CARCH}" = "i686" ]; then
     cd "${srcdir}/x740/usr/X11R6/lib/modules" || return 1
   elif [ "${CARCH}" = "x86_64" ]; then
-    cd "${srcdir}/x740_64a/usr/X11R6/lib/modules" || return 1
+    cd "${srcdir}/x740_64a/usr/X11R6/lib64/modules" || return 1
   fi
   install -m644 *.a "${pkgdir}/usr/lib/xorg/modules/" || return 1
   install -m755 *.so "${pkgdir}/usr/lib/xorg/modules/" || return 1
@@ -62,15 +62,17 @@
   # Controlcenter / library installation
   if [ "${CARCH}" = "i686" ]; then
     cd "${srcdir}/arch/x86/usr" || return 1
+    _lib=lib
   elif [ "${CARCH}" = "x86_64" ]; then
     cd "${srcdir}/arch/x86_64/usr" || return 1
+    _lib=lib64
   fi
   install -m755 X11R6/bin/* "${pkgdir}/usr/bin/" || return 1
   install -m755 sbin/* "${pkgdir}/usr/sbin/"  || return 1
-  install -m755 X11R6/lib/*.so* "${pkgdir}/usr/lib/" || return 1
-  install -m644 X11R6/lib/*.a "${pkgdir}/usr/lib/" || return 1
-  install -m644 X11R6/lib/*.cap "${pkgdir}/usr/lib/" || return 1
-  install -m755 X11R6/lib/modules/dri/*.so "${pkgdir}/usr/lib/xorg/modules/dri/" || return 1
+  install -m755 X11R6/${_lib}/*.so* "${pkgdir}/usr/lib/" || return 1
+  install -m644 X11R6/${_lib}/*.a "${pkgdir}/usr/lib/" || return 1
+  install -m644 X11R6/${_lib}/*.cap "${pkgdir}/usr/lib/" || return 1
+  install -m755 X11R6/${_lib}/modules/dri/*.so "${pkgdir}/usr/lib/xorg/modules/dri/" || return 1
   ln -sf libfglrx_dm.so.1.0 "${pkgdir}/usr/lib/libfglrx_dm.so.1"
   ln -sf libfglrx_pp.so.1.0 "${pkgdir}/usr/lib/libfglrx_pp.so.1"
   ln -sf libfglrx_tvout.so.1.0 "${pkgdir}/usr/lib/libfglrx_tvout.so.1"




More information about the arch-commits mailing list